
## 登录服管理用户账号
## 接口示例
接口地址格式如下：
ip:port/version/address
* version: 版本号
* address 地址

示例:
```shell
http://127.0.0.1:8080/v1/register
```

### 账号登录 & 注册流程

1. 调用注册接口注册账号
2. 使用注册接口返回的uid和游戏服地址，登录游戏服务

### 注册接口[/register]
1. 说明:研发提供的接口必须遵循以下协议
2. 请求方式:POST(JSON)
    * 请求参数需要拼接为json,请求体是data-raw, 详情参考【请求参数】
3. 请求参数:(以参数有就传)

| 参数       | 类型     | 是否必须 | 备注        |
|----------|--------|------|-----------|
| phone    | string | Y    | 手机号       |
| password | string | Y    | 密码        |
| code     | string | Y    | 短信验证码(暂无) |

最后参数组合示例为:
```json
{
   "phone":"17683852936",
   "password":"123456"
}
```

请求示例：
```shell
$ curl --request POST 'http://192.168.0.206:8080/v1/register' \
--header 'Content-Type: application/json' \
--data '{
   "phone":"17683852936",
   "password":"123456",
   "code": "",
}'
```
返回结果:
```shell
{"code":0 ,"message":"success"}}
```
* code = 0, 则成功
* code != 0, 则注册失败，message是返回的提示信息

### 通过激活码注册接口[/register]
1. 说明:研发提供的接口必须遵循以下协议
2. 请求方式:POST(JSON)
   * 请求参数需要拼接为json,请求体是data-raw, 详情参考【请求参数】
3. 请求参数:(以参数有就传)

| 参数       | 类型     | 是否必须 | 备注        |
|----------|--------|------|-----------|
| phone    | string | Y    | 手机号       |
| password | string | Y    | 密码        |
| code     | string | Y    | 短信验证码(暂无) |

最后参数组合示例为:
```json
{
   "phone":"17683852936",
   "password":"123456"
}
```

请求示例：
```shell
$ curl --request POST 'http://192.168.0.206:8080/v1/registerbykey' \
--header 'Content-Type: application/json' \
--data '{
   "phone":"17683852936",
   "password":"123456",
   "code": "",
   "key":"",
}'
```
返回结果:
```shell
{"code":0 ,"message":"success"}}
```
* code = 0, 则成功
* code != 0, 则注册失败，message是返回的提示信息

### 登录接口 [/login]
1. 说明:研发提供的接口必须遵循以下协议
2. 请求方式:POST(JSON)
   * 请求参数需要拼接为json,请求体是data-raw, 详情参考【请求参数】
3. 请求参数:(以参数有就传)

| 参数  |   类型  |     是否必须 | 备注 |
| --- | --- | --- | --- |
| phone | string  | Y |手机号 |
| password | string  | Y | 密码 |

最后参数组合示例为:
```json
{
   "phone":"17683852936",
   "password":"123456"
}
```

请求示例：
```shell
$ curl --request POST 'http://192.168.0.199:8081/v1/login' \
--header 'Content-Type: application/json' \
--data '{
   "phone":"17683852936",
   "password":"123456"
}'
```
返回结果:
```shell
{"code":0,"data":{"token":"141815055745814528"},"message":"success"}
```
* code = 0, 成功，客户端解析data字段就行
* code !=0, 失败， message字段是提示信息


## 短信接口 [/sms]
1. 说明:研发提供的接口必须遵循以下协议
2. 请求方式:POST 提交表单
3. 请求参数:(以参数有就传)

| 参数  |   类型  |     是否必须 | 备注 |
| --- | --- | --- | --- |
| phone | string  | Y |手机号 |

最后参数组合示例为:
```test
'phone=17683852936'
```

请求示例：
```shell
$ curl --request POST 'http://192.168.0.206:8080/v1/sms' \
--data 'phone=17683852936'
```
返回结果:
```shell
{"code":0,"message":"success"}
```

## 白名单 [/addwblist]
1. 说明:研发提供的接口必须遵循以下协议
2. 请求方式:POST 提交表单
3. 请求参数:(以参数有就传)

| 参数     |   类型  |     是否必须 | 备注             |
|--------| --- | --- |----------------|
| record | string  | Y | 1,黑名单，2，其他 白名单 |

最后参数组合示例为:
```test
record=2&uid=90001
```

请求示例：
```shell
$ curl --request POST 'http://127.0.0.1:1112/v1/addwblist' \
--data 'record=2&uid=90002'
```
返回结果:
```shell
{"code":0,"message":"success"}
```
