## 游戏服处理业务逻辑
游戏服使用tcp长连接，使用16字节包头 + 包体 的二进制协议 。包体使用protobuf

客户端主要关注的是包头里的错误码和返回回来的包体.下面我主要说明请求对应的协议号以及返回回来的错误码说明和包体

### 协议号以及错误码概述
1. errCode = 0则请求为成功， 其他值则失败。

2. 协议号对应的请求体查看protos/protocode.proto文件
* 请求是`message HeartReq`, 协议号在protocode.proto文件中是 `HeartReq=1`, 对应的处理逻辑的函数是 `func HeartRpc(msg IMessage)`

详细的请看代码或者客户端与服务器共享的proto协议文件

## 协议号以及返回错误说明
### 共同的错误码说明
| errorCode 返回值| 描述  |
| --- | --- | 
|-101|未登录，role数据不存在|
|-100|打包protobuf数据错误|
|0|成功|
|1| protobuf包体解析错误|


### 文档 & 函数说明
game文档使用godoc生成。查看格式是:
```go
1 func ChangeTeamRpc
2 func ChangeTeamRpc(role *models.RoleModel, msg components.IMessage) (int32, interface{})
3 ChangeTeamRpc 阵容变换
4
5 
```
- 第一行: 函数名字
- 第二行: 函数声明
- 第三行: 函数说明
- 第五行: 返回错误码说明

请求参数是把函数最后的三位Rpc替换成Req， 名字是: `pb.ChangeTeamReq{}`

### 接口查找
通用地址
```shell
 游戏服务ip:8980/pkg/pro2d/cmd/gameserver/action/#pkg-index
```
可以把游戏服务ip替换成192.168.0.206
```shell
192.168.0.206:8980/pkg/pro2d/cmd/gameserver/action/#pkg-index
```
