
## GM
使用http协议, 使用场景如下
1. 给客户端提供更改对应的角色数据的接口 (测试时使用)
2. 提供外放接口,比如支付回调(为了安全也可以再开一个端口, 增加加密协议)

## 接口说明

### 文档 & 函数说明
gm文档使用godoc生成。查看格式是:
```go
1 func (*GmAction) AddExp
2 func (gm *GmAction) AddExp(role *models.RoleModel, params GMParams)
3 AddExp 增加经验
4 
5 exp: 增加经验数量
```
- 第一行: 函数名字
- 第二行: 函数声明
- 第三行: 函数说明
- 第四行: 空格
- 第五行: 参数1
- 第...行: 参数...


### 接口查找
通用地址
```shell
 游戏服务ip:8980/pkg/pro2d/cmd/gameserver/action/#pkg-index
```
可以把游戏服务ip替换成192.168.0.206
```shell
192.168.0.206:8980/pkg/pro2d/cmd/gameserver/action/#pkg-index
```

用上述的增加经验例子，函数名字是AddExp。则接口地址是
```
http://192.168.0.206:8880/addexp?role_id=11&exp=1000
```

### 简单示例
地址示例, 增加经验接口:
```shell
$ curl -i 'http://192.168.0.206:8880/addexp?role_id=150140287594270720&exp=111'
```
返回值 
```shell
{"code":0}
```

### 共同的请求参数
| 参数  |   类型  |     是否必须 | 备注 |
| --- | --- | --- | --- |
| role_id | string  | Y | 角色id |

### 共同的错误码说明
| errorCode 返回值| 描述  |
| --- | --- | 
|0|成功|
|其他|错误|
|-100|程序内部函数调用返回值错误|
|-101|使用的请求方法不支持，请使用get或者post|
|-102|角色id未填写|
|-103|角色不存在|

下面接口中共同的请求参数和错误码省略。 



## 接口地址
如果下面地址不通，则把ip替换成其他游戏服务的ip:

192.168.0.206:8980/pkg/pro2d/cmd/gameserver/action/#pkg-index
